package org.jcp.xml.dsig.internal;

import javax.crypto.Mac;
import java.io.ByteArrayOutputStream;

public class MacOutputStream extends ByteArrayOutputStream
{
    private final Mac mac;
    
    public MacOutputStream(Mac mac) {
        this.mac = mac;
    }
    
    @Override
    public void write(int b) {
        super.write(b);
        this.mac.update((byte)b);
    }
    
    @Override
    public void write(byte[] array, int n, int n2) {
        super.write(array, n, n2);
        this.mac.update(array, n, n2);
    }
}
